'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.update = undefined;

var _nightingale = require('nightingale');

var _nightingale2 = _interopRequireDefault(_nightingale);

var _params = require('../params');

var _exec = require('../utils/exec');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const logger = new _nightingale2.default('app:commands:sound');

const set = output => {
  logger.info('change sound output', { output });
  (0, _exec.runSyncAsUser)('./sound.sh', [_params.device.sound.type, ..._params.device.sound[output]]);
};

let currentSoundOutput;

const update = exports.update = config => {
  if (!config.sound || !_params.device.sound || !_params.device.sound[config.sound]) {
    currentSoundOutput = null;
    return;
  }

  if (currentSoundOutput === config.sound) return;
  currentSoundOutput = config.sound;

  set(currentSoundOutput);
};
//# sourceMappingURL=sound.js.map