'use strict';

var _semver = require('semver');

var _fs = require('fs');

var _child_process = require('child_process');

var _nightingaleAppConsole = require('nightingale-app-console');

var _params = require('./params');

const logger = _nightingaleAppConsole.logger.child('migrate');

(function migrate(previousVersion) {
  return new Promise((resolve, reject) => {
    (0, _fs.readdir)(`${__dirname}/../../migrate/`, (err, files) => {
      if (err) {
        return reject(err);
      }

      files.filter(file => file.slice(-3) === '.sh').map(file => ({ file, version: /^([^_]+)(_.*).sh$/.exec(file)[1] })).filter(file => (0, _semver.gt)(file.version, previousVersion)).sort((a, b) => (0, _semver.gt)(a.version, b.version)).forEach(file => {
        logger.info('migrate', file);
        try {
          (0, _child_process.spawnSync)('sh', [file.file], {
            cwd: `${__dirname}/../../migrate/`,
            env: Object.assign({}, process.env, { POOLIOT_USER: _params.user }),
            stdio: 'inherit'
          });
          logger.infoSuccess('success', file);
        } catch (err) {
          logger.error(err);
        }
      });
    });
  });
})(process.argv[2], process.argv[3]).then(() => logger.infoSuccess('migration done')).catch(err => console.log(err.stack || err.message || err));
//# sourceMappingURL=migrate.js.map