'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _fs = require('fs');

exports.default = function createSystemdService(clientDirectory, pkg) {
  (0, _fs.writeFileSync)(`/etc/systemd/system/${pkg.name}.service`, `
  [Unit]
  Description=${pkg.description}
  After=network.target
  [Service]
  Type=simple
  WorkingDirectory=${clientDirectory}
  ExecStart=${process.argv[0]} .
  Restart=always
  Environment=NODE_ENV=production
  SyslogIdentifier=${pkg.name}
  [Install]
  WantedBy=multi-user.target
  `.trim());
};
//# sourceMappingURL=createSystemdService.js.map