'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.update = exports.set = exports.disable = exports.enable = undefined;

var _exec = require('../utils/exec');

var _flowRuntime = require('flow-runtime');

var _flowRuntime2 = _interopRequireDefault(_flowRuntime);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const enable = exports.enable = (time = 60) => {
  let _timeType = _flowRuntime2.default.number();

  _flowRuntime2.default.param('time', _timeType).assert(time);

  (0, _exec.runSyncAsUser)('./screensaver.sh', ['enable', time]);
};

const disable = exports.disable = () => {
  (0, _exec.runSyncAsUser)('./screensaver.sh', ['disable']);
};

let screensaverState = null;

const set = exports.set = () => {
  if (screensaverState) {
    enable(screensaverState);
  } else {
    disable();
  }
};

const update = exports.update = (config, shouldSet = true) => {
  let _configType = _flowRuntime2.default.object();

  _flowRuntime2.default.param('config', _configType).assert(config);

  if (config.screenSaver === screensaverState) return;

  screensaverState = config.screenSaver;
  if (shouldSet) set();
};
//# sourceMappingURL=screensaver.js.map